Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 205382 - New Module Suite wizard - info label does not get removed after error
New Module Suite wizard - info label does not get removed after error
Status: VERIFIED FIXED
Product: apisupport
Classification: Unclassified
Component: Project
7.1
PC Windows 7 x64
: P4 (vote)
: TBD
Assigned To: issues@apisupport
issues@apisupport
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-21 20:50 UTC by mienamoo
Modified: 2012-11-15 06:46 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mienamoo 2011-11-21 20:50:24 UTC
NetBeans IDE 7.1 RC1 (Build 201111171527)
JDK 7u1 64-bit

This is a purely cosmetic issue, but I did come across it during sanity testing.

1. File > New Project...
2. Choose NetBeans Modules category and Module Suite project.
3. Click next.
4. Enter an invalid project name, containing invalid characters such as \/:*?">|.
5. Click Finish.
6. An error is correctly displayed at the bottom of the dialog.
7. Now enter a valid project name, such as MyProject.
8. The information message "Please specify project name" appears and stays there no matter that a valid project name is now specified.

If the project name is cleared in step 4 instead, the info message will correctly be hidden as soon as a valid (non-empty) project name is entered.
Comment 1 mienamoo 2011-11-21 20:53:54 UTC
This also applies to the New NetBeans Platform Application wizard.
Comment 2 mienamoo 2012-04-15 13:49:20 UTC
In NetBeans IDE 7.1.2 (Build 201204101705), I noticed one extra issue. Continuing from the steps in the initial bug report:

9. Enter a name that already exists. The same message is still displayed but the Finish button is disabled. The message should have been "Project folder already exists."
Comment 3 mienamoo 2012-11-15 06:46:09 UTC
Fixed due to the changes made for Bug 218964.
Comment 4 mienamoo 2012-11-15 06:46:59 UTC
Verified with build 201211140001.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo